import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:flutter_webrtc/flutter_webrtc.dart';
import 'package:mediasoup_client_flutter/mediasoup_client_flutter.dart';
import 'package:videosdk/src/features/signaling/room_client_repository.dart';

enum StreamKind { video, audio, share }

class Stream {
  late BuildContext _context;

  late String id;
  late Consumer track;
  late String? kind;
  late RTCVideoRenderer? renderer;

  Stream({required context, required consumer, this.renderer}) {
    this._context = context;
    this.track = consumer;
    this.id = track.id;
    this.kind = track.kind;
  }

  void pause() {
    _context.read<RoomClientRepository>().pauseConsumer(this.track);
  }

  void resume() {
    _context.read<RoomClientRepository>().resumeConsumer(this.track);
  }
}
